ChangeSet 1.1760.26.21, 2004/06/29 09:47:12-07:00, slansky@usa.net

[PATCH] USB: PL2303 module, new IDs

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/serial/pl2303.c |    1 +
 drivers/usb/serial/pl2303.h |    6 ++++++
 2 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	2004-06-29 16:25:04 -07:00
+++ b/drivers/usb/serial/pl2303.c	2004-06-29 16:25:04 -07:00
@@ -82,6 +82,7 @@
 	{ USB_DEVICE(DCU10_VENDOR_ID, DCU10_PRODUCT_ID) },
 	{ USB_DEVICE(SITECOM_VENDOR_ID, SITECOM_PRODUCT_ID) },
 	{ USB_DEVICE(ALCATEL_VENDOR_ID, ALCATEL_PRODUCT_ID) },
+	{ USB_DEVICE(SAMSUNG_VENDOR_ID, SAMSUNG_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/pl2303.h b/drivers/usb/serial/pl2303.h
--- a/drivers/usb/serial/pl2303.h	2004-06-29 16:25:04 -07:00
+++ b/drivers/usb/serial/pl2303.h	2004-06-29 16:25:04 -07:00
@@ -42,5 +42,11 @@
 #define SITECOM_VENDOR_ID	0x6189
 #define SITECOM_PRODUCT_ID	0x2068
 
+/* Alcatel OT535/735 USB cable */
 #define ALCATEL_VENDOR_ID	0x11f7
 #define ALCATEL_PRODUCT_ID	0x02df
+
+/* Samsung I330 phone cradle */
+#define SAMSUNG_VENDOR_ID       0x04e8
+#define SAMSUNG_PRODUCT_ID      0x8001
+
